Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452930 - SNMP Indication Handler not included in 2.7 package
Summary: SNMP Indication Handler not included in 2.7 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 00:42 UTC by Denise Eckstein
Modified: 2009-06-20 04:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 22:19:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed Modification to RedHat.OpenPegasus.Makefile (deleted)
2008-06-26 00:42 UTC, Denise Eckstein
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0250 normal SHIPPED_LIVE tog-pegasus bug fix and enhancement update 2009-01-20 16:06:52 UTC

Description Denise Eckstein 2008-06-26 00:42:30 UTC
Description of problem:
Although PEGASUS_USE_NET_SNMP is set to true, the library for the SNMP 
Indication Handler is not included in the tog-pegasus-2.7.0-2.el5 RPM.

Version-Release number of selected component (if applicable):
tog-pegasus-2.7.0-2.el5

How reproducible:
The libsnmpIndicationHandler.so.1 file and the libsnmpIndicationHandler.so 
link should be included /usr/lib(64) after installing tog-pegasus-2.7.0-2.el5.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
The RedHat.OpenPegasus.Makefile needs to be modified to build and package this 
library.  See attachment for the proposed change.

Comment 1 Denise Eckstein 2008-06-26 00:42:30 UTC
Created attachment 310305 [details]
Proposed Modification to RedHat.OpenPegasus.Makefile

Comment 2 Vitezslav Crhonek 2008-07-01 13:25:20 UTC
I added it in Fedora Rawhide package tog-pegasus-2.7.0-9.fc10. Please test if
possible, whether everything is fine.

Comment 3 Denise Dumas 2008-07-11 19:54:39 UTC
tog-pegasus is currently not an approved package for 5.3. We have requested
approval for a rebase to 2.7.2 (see BZ 453952). 


Comment 4 Denise Eckstein 2008-07-15 05:40:35 UTC
Thanks for letting me know.  The proposed patch affects a Red Hat Makefile, so 
if the rebase to 2.7.2 is approved, this patch would still need to be applied.

Comment 8 Miroslav Vadkerti 2008-11-27 13:25:26 UTC
verified as fixed on all archs

Comment 9 Chris Ward 2008-11-28 07:14:49 UTC
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!

Comment 10 Chris Ward 2008-12-08 16:55:35 UTC
Setting as verified, according to comment #8.

Comment 12 errata-xmlrpc 2009-01-20 22:19:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0250.html


Note You need to log in before you can comment on or make changes to this bug.